#
# spec file for package antivir (Version 2.1.10.15)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           antivir
%define WITH_EVAL_KEY 1
Requires:       gpg
PreReq:         /bin/mkdir /bin/cat %insserv_prereq %fillup_prereq coreutils modutils grep ps
License:        Restricted Shareware
Group:          Productivity/Security
Conflicts:      avmailgate
AutoReqProv:    on
%define         antivir_version antivir-server-prof-2.1.10-15
Version:        2.1.10.15
Release:        53.27
Summary:        Antivir Virus Scanner
Url:            http://www.avira.com
Source0:        http://dl.antivir.de/dateien/antivir/release/%{antivir_version}.tar.gz
%if %WITH_EVAL_KEY
#
# read antivir-eval-suse.txt file about:
#
Source1:        antivir-eval-suse.key
Source2:        antivir-eval-suse.txt
NoSource:       1
NoSource:       2
%endif
Source3:        antivir.README.SuSE
Source4:        antivir.sysconfig
Source5:        avguard.rc-script
Patch0:         %{antivir_version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 s390 ppc

%description
This is the AntiVir virus scanner software package of Avira (former H+B
EDV) Germany.

Register your copy at http://www.avira.com/ -- a license key for
private, noncommercial use is free of charge.



Authors:
--------
    Avira <support@avira.com>

%package avguard
Summary:        Antivir On-Access Virus Scanner Init-Script
Group:          Productivity/Security
License:        GPL v2 or later
Requires:       antivir = %{version}
Requires:       dazuko-kmp dazuko

%description avguard
This package provides a init-script starting the Antivir Virus Scanner
as On-Access scanner. It requires the dazuko package containing the
boot script loading dazuko and a dazuko-kmp package matching your
kernel.



Authors:
--------
    Avira <support@avira.com>
    John Ogness
    Rainer Link
    Marius Tomaschewski

%prep
%setup -n %{antivir_version}
%patch0 -p0

%build

%install
# create directories
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT/usr/lib/AntiVir
install -d -m 755 $RPM_BUILD_ROOT/etc
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -d -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
##
## install AntiVir 
##
%ifarch s390
install -m 755 bin/linux_glibc22_s390/antivir	$RPM_BUILD_ROOT/usr/lib/AntiVir/
install -m 644 bin/linux_glibc22_s390/*.asc	pgp/
%else
%ifarch ppc
install -m 755 bin/linux_glibc22_ppc/antivir	$RPM_BUILD_ROOT/usr/lib/AntiVir/
install -m 644 bin/linux_glibc22_ppc/*.asc	pgp/
%else
%ifarch %ix86
install -m 755 bin/linux_glibc22/antivir	$RPM_BUILD_ROOT/usr/lib/AntiVir/
install -m 644 bin/linux_glibc22/*.asc		pgp/
%else
cat <<ERR
Error: Don't have antivir binaries for the %arch platform!
ERR
exit 1
%endif
%endif
%endif
install -m 644 vdf/antivir?.vdf          	$RPM_BUILD_ROOT/usr/lib/AntiVir/
install -m 755 script/configantivir      	$RPM_BUILD_ROOT/usr/lib/AntiVir/
ln -s ../lib/AntiVir/antivir             	$RPM_BUILD_ROOT/usr/bin/antivir
install -m 644 etc/avupdater.conf        	$RPM_BUILD_ROOT/etc/
##
## install AvGuard stuff
##
install -m 644 etc/avguard.conf  $RPM_BUILD_ROOT/etc/
ln -sf         configantivir     $RPM_BUILD_ROOT/usr/lib/AntiVir/configavguard
install -m 755 $RPM_SOURCE_DIR/avguard.rc-script \
               $RPM_BUILD_ROOT/usr/lib/AntiVir/avguard
ln -sf         /usr/lib/AntiVir/avguard \
               $RPM_BUILD_ROOT/etc/init.d/avguard
ln -sf         ../lib/AntiVir/avguard \
               $RPM_BUILD_ROOT/usr/sbin/rcavguard
install -m644  $RPM_SOURCE_DIR/antivir.sysconfig \
               $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.antivir
##
## copy readme files
##
install -m644  $RPM_SOURCE_DIR/antivir.README.SuSE README.SuSE
%if %WITH_EVAL_KEY
install -m644  $RPM_SOURCE_DIR/antivir-eval-suse.txt .
##
## install the eval key for SuSE Linux, provided by H+BEDV
##
install -m 644 $RPM_SOURCE_DIR/antivir-eval-suse.key \
               $RPM_BUILD_ROOT/usr/lib/AntiVir/hbedv.key
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post avguard
%{remove_and_set -n antivir DAZUKO_MODULE}
if test -n "$DAZUKO_MODULE" && test "$DAZUKO_MODULE" != "no" ; then
cat <<EOF
     Note: The DAZUKO_MODULE  sysconfig variable has been moved to
     /etc/sysconfig/dazuko file.   Please install the dazuko and
     dazuko-kmp packages providing the kernel module and the
     /etc/init.d/boot.dazuko script to load it.
EOF
fi
%{fillup_and_insserv -n antivir avguard}

%preun avguard
%{stop_on_removal avguard}

%postun avguard
%{restart_on_update avguard}
%insserv_cleanup

%files avguard
%defattr(-,root,root)
%config /etc/init.d/avguard
/usr/sbin/rcavguard
/var/adm/fillup-templates/sysconfig.antivir
%dir /usr/lib/AntiVir
/usr/lib/AntiVir/avguard

%files
%defattr(-,root,root)
%config(noreplace) /etc/avupdater.conf
%config(noreplace) /etc/avguard.conf
%doc LICENSE* README pgp legal
%doc doc/{CHANGELOG,RELEASE_NOTES,MANUAL}
%doc doc/avserver_de.pdf
%dir /usr/lib/AntiVir
/usr/lib/AntiVir/antivir
/usr/lib/AntiVir/antivir?.vdf
/usr/lib/AntiVir/configantivir
/usr/lib/AntiVir/configavguard
/usr/bin/antivir
%if %WITH_EVAL_KEY
%doc antivir-eval-suse.txt
%config(noreplace) /usr/lib/AntiVir/hbedv.key
%endif

%changelog
* Fri Aug 22 2008 ro@suse.de
- removed deprecated startvar from fillup_and_insserv call
* Fri Aug 31 2007 mt@suse.de
- updated to antivir-server-prof-2.1.10-15 released on 06.03.2007
- new eval license key for openSUSE-10.3 provided by Avira (valid
  up to 31 January 2008), updated README files.
* Thu Nov 16 2006 mt@suse.de
- Adopted to use new dazuko package names (hbedv-dazuko => dazuko).
* Mon Nov  6 2006 mt@suse.de
- updated to antivir-server-prof-2.1.8-36 released on 13.09.2006
- new eval license key for openSUSE-10.2 provided by Avira
  (valid up to 31 March 2007), updated README files.
- added installation of antivir binaries on ppc and s390 archs
- renamed the DISTRIBUTABLE flag to WITH_EVAL_KEY
* Fri Sep  1 2006 mt@suse.de
- updated to antivir-server-prof-2.1.7-18 rereleased on 08.06.2006
- removed obsolete code loading the dazuko module specified in the
  DAZUKO_MODULE variable of /etc/sysconfig/antivir from the avguard
  init script, that displays a migration note if DAZUKO_MODULE is
  not empty. See also Bug #201730.
- removed old eval license key files antivir-eval-suse.key and txt
* Tue Feb 14 2006 mt@suse.de
- Branched out antivir-avguard sub-package containing
  the init-script to start antivir as on-access scanner.
- Adopted notes about init-script and dazuko module in
  README.SuSE file.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 mt@suse.de
- new eval license key for 10.1 provided by H+BEDV
  (valid up to 30. June 2006 for all products)
- updated to antivir-server-prof-2.1.5-24 released on 06.12.2005
* Wed Sep  7 2005 mt@suse.de
- new eval license key for 10.0 provided by H+BEDV
  (valid up to 31. January 2006 for all products)
* Fri Aug  5 2005 mt@suse.de
- new eval license key for 10.0 provided by H+BEDV
  (valid up to 31. December 2005 for all products)
- updated to antivir-server-prof-2.1.3 rereleased on 07.06.2005
- fixed falback defaults in the init script for the case, there
  is no /etc/sysconfig/antivir or it doesn't provide them
* Tue Jun 14 2005 mt@suse.de
- Moved the km_antivir sub-package into own source package
  km_dazuko to match name and version.
* Mon Mar 21 2005 mt@suse.de
- new eval license key for 9.3 provided by H+BEDV
  (now valid up to 31. July for all products)
* Tue Mar 15 2005 mt@suse.de
- fixed init-script to not to report "skipped" on stop
  if the unloading of the dazuko module was skipped.
- changed sysconfig template to skip loading of dazuko in
  the init-script because of LSM load order dependencies.
- updated README.SUSE
* Fri Mar 11 2005 mt@suse.de
- new eval license key for 9.3 provided by H+BEDV
- updated to antivir-server-prof-2.1.3 rereleased on 01.03.2005
- updated to dazuko-2.0.6-pre2 providing LSM prototypes for
  quota_on and bprm_post_apply_creds matching 2.6.11 kernels;
  obsoletes dazuko-quota_on_suse.dif
- disabled usage of a local __dpath() copy in Makefile.dazuko,
  since the kernel on 9.3 exports it now
* Tue Feb 15 2005 mt@suse.de
- Bug #50830: fixed Makefile.dazuko, adopted lsm quota_on
  prototype to match current suse kernel
  new patch file: dazuko-quota_on_suse.dif
* Fri Feb 11 2005 mt@suse.de
- updated to antivir-server-prof-2.1.3 released on 07.12.2004
- updated to dazuko-2.0.5 released on 01.02.2005
* Fri Oct 29 2004 mt@suse.de
- updated to antivir-server-2.1.2 released on 05.10.2004
* Fri Oct 29 2004 mt@suse.de
- Bug #47071: updated to dazuko-2.0.4-pre5 fixing the
  problems with capabilities usage (LSM stacking)
- fixed stops in avguard init script
* Mon Sep 27 2004 mt@suse.de
- updated to dazuko-2.0.4-pre2 supporting proper LSM stacking
- improved avguard init-script: allow skipping of (un)loading
  of the dazuko module if DAZUKO_MODULE is set to "", e.g. if
  the module is loaded via MODULES_LOADED_ON_BOOT variable;
  added verify of dazuko's (dynamic) device file major number
  against /proc/devices; LSB related changes.
- updated the README.SuSE file
* Wed Sep  1 2004 mt@suse.de
- new antivir evaluation key
* Tue Aug 31 2004 mt@suse.de
- updated to antivir-server-2.1.1 released on 10.08.2004
- added explicit GPL license reference to avguard.rc-script
- bug #44373, removed notify message
* Tue Mar 30 2004 mt@suse.de
- updated to antivir-server-2.1.0 rereleased on 17.02.2004
- Bug #35110: added workarround description about security
  framework stacking to README.SuSE ("capability=0 selinux=0")
- fixed install, module, module_add targets in Makefile.dazuko
- added a short GPG key import description (update self verify)
- new antivir evaluation key valid up to 31.08.2004.
* Thu Feb 26 2004 mt@suse.de
- updated to antivir-server-2.1.0 and dazuko-2.0.1-pre1
  known bugs #35110: dazuko security framework stacking problem
- added DISTRIBUTABLE flag (antivir-eval-suse.key shipping on/off)
* Thu Aug 28 2003 mt@suse.de
- added stop_on_removal and restart_on_update macros
- changed GnuPGBinary to point to /usr/bin/gpg
- added requires gpg -- may be used while antivir --update
- updated PreReq to match new package names
* Thu Aug 28 2003 mt@suse.de
- new antivir evaluation key
- updated yast2 meta data
* Wed Aug 27 2003 mt@suse.de
- updated to antivir 2.0.8 (using antivir-bin.tar.gz with
  newer 2.0.8-6 binaries, because of possible glibc problems)
* Thu Apr 17 2003 mt@suse.de
- updated to antivir 2.0.7
- added avguard init script installation
* Thu Feb 20 2003 link@suse.de
- fixed the Makefile for the dazuko kernel module (#23651)
* Tue Feb 11 2003 link@suse.de
- re-submitted 2.0.6, which now ships with Dazuko 1.1.2
* Fri Feb  7 2003 link@suse.de
- updated notification msg to root
- antivir-fc will not be installed. It's statically linked
  and only used for avguard, which isn't shipped (nevertheless,
  if user runs "antivir --update" it will be downloaded
  automatically)
* Fri Feb  7 2003 link@suse.de
- updated to 2.0.6
- added new eval license provided by H+BEDV
- updated README.SuSE
* Tue Aug 27 2002 ro@suse.de
- removed insserv-lines completely from specfile
  (only commenting them out doesn't really help, rpm will still
  expand the macro and only comment the first line out)
* Sat Aug 24 2002 ro@suse.de
- fixed filelist (/etc/init.d/avguard was still there)
* Thu Aug 22 2002 link@suse.de
- added new key file (which displays license information in english
  not in german as the old one)
- due to problems AvGuard has been removed
- updated README.SuSE
* Wed Aug 21 2002 link@suse.de
- added a new eval license key (expire day: 31.03.2003)
- updated notification msg to root
* Thu Aug 15 2002 link@suse.de
- some fixes in init script
* Tue Aug  6 2002 link@suse.de
- created sub-package km_antivir containing the Dazuko
  kernel module sources
- install the on-access virus scanning facility AvGuard, too
- updated README.SuSE
* Mon Aug  5 2002 link@suse.de
- install the configantivir script
- updated README.SuSE
* Fri Aug  2 2002 link@suse.de
- updated to the new AntiVir 2.x series (2.0.3)
- updated README.SuSE
* Fri Jul  5 2002 ro@suse.de
- replace i386 by %%ix86
* Thu Mar 14 2002 pmladek@suse.cz
- better fixed permissions for documentation, %%attr set bad
  permisssions for doc directory
* Tue Mar 12 2002 pmladek@suse.cz
- fixed permissions for documentation
* Mon Mar  4 2002 link@suse.de
- spec-file: updated notification message as evaluation license
  will expire after 7/31/2002
* Tue Feb 19 2002 link@suse.de
- added README.SuSE
- added the evaluation license key for SuSE Linux 8.0
* Fri Feb 15 2002 link@suse.de
- updated to version 6.12.00.00
* Thu Dec 13 2001 rvasice@suse.cz
- update to version 6.11.00.00
* Fri Oct 26 2001 dan@suse.cz
- update to version 6.10.00.02
* Mon Aug 20 2001 cihlar@suse.cz
- update to version 6.9.0.0
* Thu Apr  5 2001 ro@suse.de
- fixed rpm group to Utilities/Security
* Thu Apr  5 2001 pblaha@suse.cz
- update on new version 6.6.0.0
* Wed Jun  7 2000 cihlar@suse.cz
- Copyright tag fixed
* Thu Apr 13 2000 smid@suse.cz
- license added to documentation
* Tue Feb 29 2000 freitag@suse.de
- update to version 6.0.0.2 for SuSE Linux 6.4
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 fehr@suse.de
- new version 5.18.3.4
* Mon Mar 29 1999 rolf@suse.de
- new version 5.18.0.0
* Mon Nov 16 1998 rolf@suse.de
- new version 5.15.0.1
* Wed Jul  8 1998 rolf@suse.de
- initial version
